mdraw_coordinates_position(3m17n)

NAME
mdraw_coordinates_position - Return the character position nearest to the coordinates.

SYNOPSIS
int mdraw_coordinates_position (MFrame * frame, MText * mt, int from, int to, int x_offset, int y_offset, MDrawControl * control)

DESCRIPTION
Return the character position nearest to the coordinates.

The mdraw_coordinates_position() function checks which character is to be drawn at coordinate (x, y) when the text between from and to of M-text mt is drawn at the coordinate (0, 0) using the mdraw_text_with_control() function with the drawing control object control. Here, the character position means the number of characters that precede the character in question in mt, that is, the character position of the first character is 0.

frame is used only to get the default face information.

RETURN VALUE

    If the glyph image of a character covers coordinate (x, y), mdraw_coordinates_position() returns the character position of that character.
     If y is less than the minimum Y-coordinate of the drawn area, it returns from.
     If y is greater than the maximum Y-coordinate of the drawn area, it returns to.
     If y fits in with the drawn area but x is less than the minimum X-coordinate, it returns the character position of the first character drawn on the line y.
     If y fits in with the drawn area but x is greater than the maximum X-coordinate, it returns the character position of the last character drawn on the line y.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.